.. Open Infrastructure: compute-tools

.. Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
..
.. SPDX-License-Identifier: GPL-3.0+
..
.. This program is free software: you can redistribute it and/or modify
.. it under the terms of the GNU General Public License as published by
.. the Free Software Foundation, either version 3 of the License, or
.. (at your option) any later version.
..
.. This program is distributed in the hope that it will be useful,
.. but WITHOUT ANY WARRANTY; without even the implied warranty of
.. MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.. GNU General Public License for more details.
..
.. You should have received a copy of the GNU General Public License
.. along with this program.  If not, see <https://www.gnu.org/licenses/>.

===============
container-limit
===============

------------------------------
Limit resources of a container
------------------------------

:manual section: 1
:manual group: Open Infrastructure

Synopsis
========

| **container limit** ['OPTIONS']

Description
===========

The **container limit** command limits resources available to a container at
runtime.

Options
=======

The following **container limit** options are available:

-n, --name='NAME':
  Specify container name.

--blockio-device-weight='DEVICE WEIGHT':
  Specify device specific blockio weight, see systemd.resource-control(5).

--blockio-read-bandwidth='DEVICE BYTES':
  Specify device specific blockio read bandwidth, see
  systemd.resource-control(5).

-b, --blockio-weight='WEIGHT':
  Specify general blockio weight, see systemd.resource-control(5).

--blockio-write-bandwidth='DEVICE BYTES':
  Specify device specific blockio write bandwidth, see
  systemd.resource-control(5).

-c, --cpu-quota='QUOTA':
  Specify CPU quota, see systemd.resource-control(5).

--cpu-shares='SHARES':
  Specify CPU shares, see systemd.resource-control(5).

-m, --memory-limit='BYTES':
  Specify memory limit, see systemd.resource-control(5).

-t, --tasks-max='NUMBER':
  Specify tasks max, see systemd.resource-control(5).

Examples
========

Set blockio weight for the example.net container:

  sudo container limit -n example.net --blockio-weight 100

Set CPU quota for the example.net container:

  sudo container limit -n example.net --cpu-quota 10%

Set memory limit for the example.net container to 1GB:

  sudo container limit -n example.net --memory-limit 1G

Set tasks max for the example.net container to 100:

  sudo container limit -n example.net --tasks-max 100

See also
========

| compute-tools(7),
| container(1).

Homepage
========

More information about compute-tools and the Open Infrastructure project can be
found on the homepage (https://open-infrastructure.net).

Contact
=======

Bug reports, feature requests, help, patches, support and everything else are
welcome on the Open Infrastructure Software Mailing List
<software@lists.open-infrastructure.net>.

Debian specific bugs can also be reported in the Debian Bug Tracking System
(https://bugs.debian.org).

Authors
=======

compute-tools were written by Daniel Baumann
<daniel.baumann@open-infrastructure.net> and others.
